import { html } from '@microsoft/fast-element';
import { buttonTag } from '../../tags';
export const ProtectedTemplate = html `
  <div class="container">
    <${buttonTag}
      type="button"
      appearance="primary-gradient"
      @click=${(x) => x.onLogout()}
      data-test-id="logout"
    >
      Logout
    </${buttonTag}>
    <${buttonTag} type="button" @click=${(x) => x.onOpenSocketTest()} data-test-id="open-socket">
      Open Socket
    </${buttonTag}>
    <${buttonTag} type="button" @click=${(x) => x.onCloseSocketTest()} data-test-id="close-socket">
      Close Socket
    </${buttonTag}>
  </div>
`;
